package com.duolebo.blyrobot.util

import com.duolebo.appbase.prj.bmtv.protocol.IProtocolConfig

class Config: IProtocolConfig {
    private val isDebug = true

    override fun getProtocolUrl(): String {
        if (isDebug)
            return "http://192.168.2.42:8080/manage/apkInfo/query.do"
        return "http://test.duolebo.com/staging/apkInfo/query.do"
    }

    override fun getTvid(): String {
        return ""
    }

    override fun getChannel(): String {
        return ""
    }

    fun getReportProtocolUrl(): String {
        if (isDebug)
            return "http://192.168.2.42:8080/manage/apkInfo/report.do"
        return "http://test.duolebo.com/staging/apkReport/report.do"
    }

    fun getFtpServer(): String {
        return "192.168.2.195"
    }

    fun getFtpUserName(): String {
        if (isDebug)
            return "mateng"

        return "ftpclient"
    }

    fun getFtpPassword(): String {
        if (isDebug)
            return "qwertasdfg"
        return "dlbftp1234qwer"
    }

    fun getFtpRemotePath(): String {
        if (isDebug)
            return "/upload"
        return "/screenshot"
    }

    companion object {
        val instance = Config()
    }

}